Package org.pentaho.reporting.libraries.formula.function

# Class AbstractFunctionDescription

java.lang.Object
org.pentaho.reporting.libraries.formula.function.AbstractFunctionDescription

All Implemented Interfaces:
  `Serializable`, `FunctionDescription`

Direct Known Subclasses:
  `AbsFunctionDescription`, `AcosFunctionDescription`, `AcoshFunctionDescription`, `AndFunctionDescription`, `AsinFunctionDescription`, `Atan2FunctionDescription`, `AtanFunctionDescription`, `AverageAFunctionDescription`, `AverageFunctionDescription`, `ChooseFunctionDescription`, `CosFunctionDescription`, `CountAFunctionDescription`, `CountBlankFunctionDescription`, `CountFunctionDescription`, `CsvArrayFunctionDescription`, `CsvTextFunctionDescription`, `DateDifFunctionDescription`, `DateFunctionDescription`, `DateValueFunctionDescription`, `DayFunctionDescription`, `DaysFunctionDescription`, `EvenFunctionDescription`, `ExactFunctionDescription`, `ExpFunctionDescription`, `FalseFunctionDescription`, `FindFunctionDescription`, `HasChangedFunctionDescription`, `HourFunctionDescription`, `IfFunctionDescription`, `IfNaFunctionDescription`, `IndexFunctionDescription`, `IntFunctionDescription`, `IsBlankFunctionDescription`, `IsErrFunctionDescription`, `IsErrorFunctionDescription`, `IsEvenFunctionDescription`, `IsLogicalFunctionDescription`, `IsNaFunctionDescription`, `IsNonTextFunctionDescription`, `IsNumberFunctionDescription`, `IsOddFunctionDescription`, `IsRefFunctionDescription`, `IsTextFunctionDescription`, `LeftFunctionDescription`, `LenFunctionDescription`, `LnFunctionDescription`, `Log10FunctionDescription`, `LogFunctionDescription`, `LowerFunctionDescription`, `MaxAFunctionDescription`, `MaxFunctionDescription`, `MessageFunctionDescription`, `MidFunctionDescription`, `MinAFunctionDescription`, `MinFunctionDescription`, `MinuteFunctionDescription`, `ModFunctionDescription`, `MonthFunctionDescription`, `NaFunctionDescription`, `NormalizeArrayFunctionDescription`, `NotFunctionDescription`, `NowFunctionDescription`, `NullFunctionDescription`, `OddFunctionDescription`, `OrFunctionDescription`, `ParseDateFunctionDescription`, `PiFunctionDescription`, `PowerFunctionDescription`, `ReplaceFunctionDescription`, `ReptFunctionDescription`, `RightFunctionDescription`, `SecondFunctionDescription`, `SinFunctionDescription`, `SqrtFunctionDescription`, `SubstituteFunctionDescription`, `SumAFunctionDescription`, `SumFunctionDescription`, `TextFunctionDescription`, `TFunctionDescription`, `TimeFunctionDescription`, `TimeValueFunctionDescription`, `TodayFunctionDescription`, `TrimFunctionDescription`, `TrueFunctionDescription`, `UnicharFunctionDescription`, `UnicodeFunctionDescription`, `UpperFunctionDescription`, `URLEncodeFunctionDescription`, `ValueFunctionDescription`, `VarFunctionDescription`, `WeekDayFunctionDescription`, `XorFunctionDescription`, `YearFunctionDescription`

public abstract class AbstractFunctionDescription extends Object implements FunctionDescription
Creation-Date: 04.11.2006, 18:30:33

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`String`
`getCanonicalName()`
`Object`
`getDefaultValue(int position)`
Returns the default value for an optional parameter.
`String`
`getDescription(Locale locale)`
`String`
`getDisplayName(Locale locale)`
`String`
`getParameterDescription(int position, Locale locale)`
`String`
`getParameterDisplayName(int position, Locale locale)`
`boolean`
`isInfiniteParameterCount()`
`boolean`
`isVolatile()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.pentaho.reporting.libraries.formula.function.FunctionDescription

`getCategory, getParameterCount, getParameterType, getValueType, isParameterMandatory`

## Method Details

### getCanonicalName

public String getCanonicalName()

Specified by:
  `getCanonicalName` in interface `FunctionDescription`

### isVolatile

public boolean isVolatile()

Specified by:
  `isVolatile` in interface `FunctionDescription`

### getDefaultValue

public Object getDefaultValue(int position)
Returns the default value for an optional parameter. If the value returned here is null, then this either means, that the parameter is mandatory or that the default value is computed by the expression itself.

Specified by:
  `getDefaultValue` in interface `FunctionDescription`
Parameters:
  `position` -
Returns:
  null.

### isInfiniteParameterCount

public boolean isInfiniteParameterCount()

Specified by:
  `isInfiniteParameterCount` in interface `FunctionDescription`

### getDisplayName

public String getDisplayName(Locale locale)

Specified by:
  `getDisplayName` in interface `FunctionDescription`

### getDescription

public String getDescription(Locale locale)

Specified by:
  `getDescription` in interface `FunctionDescription`

### getParameterDisplayName

public String getParameterDisplayName(int position, Locale locale)

Specified by:
  `getParameterDisplayName` in interface `FunctionDescription`

### getParameterDescription

public String getParameterDescription(int position, Locale locale)

Specified by:
  `getParameterDescription` in interface `FunctionDescription`